Subject: Re: bug#753: [Fwd: sh-script.el: indentation of ( )]

From: Stefan Monnier <[email-masked]>
Date: Thu, 08 Jan 2009 11:39:55 -0500

> [ You must unarchive old bugs before mailing them ]

Yes: I didn't know it was old :-(

>>> Can you remember why you added '()'?
>> Because neither ( nor ) are allowed in keywords.
> They _are_ keywords, along with { and }, as evidenced by their entries
> in the constant `sh-kw'.

Hmm... I think I see what might be the problem, tho I don't understand
the code enough.  Basically, what I saw is that it recognized "done|" as
a keyword, which I fixed by adding ?| to the "not in keywords" chars.
By the same reasonging "done)" is not a keyword, so I added ?\)
(and ?\( as well for good measure).  I guess that sh-get-kw should be
fixed more robustly by recognizing ")" and "(" but not "(done", nor
"(done|toto)" for that matter.
Can you take care of that and make sure it fixes the problem at hand
without breaking the problem that prompted my misguided fix?

        Stefan